{ appimageTools, fetchurl, makeDesktopItem, copyDesktopItems, lib }:
let
  pname = "unofficial-homestuck-collection";
  version = "2.0.7";
  src = fetchurl {
    url = "https://github.com/Bambosh/unofficial-homestuck-collection/releases/download/v2.0.7/The-Unofficial-Homestuck-Collection-2.0.7.AppImage";
    hash = "sha512-NVX76MRNKnIYJkGv5gWx2Q0IjibH80sdpQvtIzBVcaH7sH03vJoKHGh7M5a75AR4soV8oh9nv6WW7Gdc/bpoTQ==";
  };
  appImageContents = appimageTools.extract {
    inherit pname version src;
  };
in appimageTools.wrapType2 {
  inherit pname version src;

  extraInstallCommands = ''
    # mv $out/bin/${pname}-${version} $out/bin/${pname}
    install -m 444 -D ${appImageContents}/unofficial-homestuck-collection.desktop $out/share/applications/unofficial-homestuck-collection.desktop
    install -m 444 -D ${appImageContents}/unofficial-homestuck-collection.png $out/share/icons/hicolor/1024x1024/apps/unofficial-homestuck-collection.png
    substituteInPlace $out/share/applications/unofficial-homestuck-collection.desktop --replace 'Exec=AppRun' 'Exec=${pname}' --replace 'Categories=game' 'Categories=Games'
  '';

  meta = with lib; {
    description = "A heavily customised browser, built from the ground up to support Homestuck and its related works.";
    homepage = "https://bambosh.dev/unofficial-homestuck-collection";
    license = licenses.gpl3;
    platforms = [ "x86_64-linux" ];
    mainProgram = "unofficial-homestuck-collection";
  };
}